{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Feedback Reports
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Feedback Reports
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for department in departmentList %}
                        {% if department.pk == departmentInstance.pk %}
                            <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ department.pk }}
                                           data-toggle="tab" name="departmentTab">
                                    {{ department.acronym }}
                                </a>
                            </li>
                        {% else %}
                            <li class="" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ department.pk }}
                                           data-toggle="tab" name="departmentTab">
                                    {{ department.acronym }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for semester in semesterList %}
                        {% if semester.semesterInstance.pk == semesterInstance.pk %}
                            <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li class="" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        {% if forloop.counter == 1 %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                {% if noSemester %}
                    <div class="x_content">
                        <div class="alert alert-danger" role="alert" align="center">

                        </div>
                    </div>
                {% elif noCourses %}
                    <div class="x_content">
                        <div class="alert alert-danger" role="alert" align="center">
                            <h4 style="font-size: 18px"> No Courses are available </h4>
                        </div>
                    </div>
                {% else %}
                    <div id="printShowable" align="center" style="display: none">
                        <h4 align="center">Department of {{ departmentInstance }}</h4>
                        <h4 align="center">Feedback Report</h4>
                        <h5 align="center">{{ staffCourseInstance.course }}</h5>
                        <br>
                    </div>
                    <div class="col-md-offset-10">
                        <!-- Button trigger modal -->
                        <button type="button" class="btn1 btn-indigo" data-toggle="modal" data-target="#myModal">
                            Student List
                        </button>
                        <button type="button" class="btn btn-primary" id='getPdf'>
                            Generate PDF
                        </button>
                    </div>
                    <!-- Modal -->
                    <div class="modal" id="myModal" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel1" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel1">Students given Feedbacks</h4>
                                </div>
                                <div class="modal-body">
                                    <h4 align="center">{{ staffCourseInstance.course }}</h4>
                                    <br>
                                    <table class="table table-hover table-striped">
                                        <thead>
                                        <tr>
                                            <th>S. No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for eachStudent in studentList %}
                                            <tr>
                                                <td>{{ forloop.counter }}</td>
                                                <td>{{ eachStudent.roll_no }}</td>
                                                <td>{{ eachStudent }}</td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal form-label-left" id="printArea">
                        <h4 style="font-weight: 500" align="center">
                            No. of Students given Feedbacks:
                            <strong style="font-weight: bolder">{{ studentsGivenFeedbacks }}</strong>
                        </h4>
                        <br>

                        {% for feedback in feedbackQuestionGradeList %}
                            <div class="col-md-12">
                                <div class="col-md-3"></div>
                                <div class="col-md-6">
                                    <table class="table table-bordered" style="table-layout: fixed">
                                        <tr>
                                            <td class="warning" colspan="2" style="width: 10%; font-weight: bolder"
                                                align="center">
                                                <strong>{{ feedback.category }}</strong></td>
                                        </tr>
                                        {% for grade in feedback.gradeList %}
                                            <tr>
                                                <td class="info" style="width: 10%">
                                                    {{ grade.grade.gradeName }}&nbsp;(<strong>{{ grade.grade.gradeShort }}</strong>)
                                                </td>
                                                <td class="success" style="word-wrap: break-word" align="center">
                                                    <strong>{{ grade.count }}</strong>
                                                </td>
                                            </tr>
                                        {% endfor %}
                                    </table>
                                </div>
                                <div class="col-md-3"></div>
                            </div>
                            <div class="col-md-12"><br><br></div>
                        {% endfor %}
                        <div class="col-md-12">
                            <div class="col-md-3"></div>
                            <div class="col-md-6">
                                <table class="table table-bordered" style="table-layout: fixed">
                                    <tr>
                                        <td class="warning" colspan="2" style="width: 10%; font-weight: bolder"
                                            align="center">
                                            <strong>CONSOLIDATED</strong>
                                        </td>
                                    </tr>
                                    {% for grade in feedbackList %}
                                        <tr>
                                            <td class="info" style="width: 10%">
                                                {{ grade.grade.gradeName }}&nbsp;(<strong>{{ grade.grade.gradeShort }}</strong>)
                                            </td>
                                            <td class="success" style="word-wrap: break-word" align="center">
                                                <strong>{{ grade.count }}</strong>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                </table>
                            </div>
                            <div class="col-md-3"></div>
                        </div>
                    </div>
                {% endif %}


            </div>
        </div>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>


    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="departmentTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'departmentPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="semesterTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semesterPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');


                $('#dummyForm').submit();

            });
        });

    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#getPdf').click(function () {
                window.open('{% url 'feedbackPdfReport' staffCoursePk=staffCourseInstance.pk %}', '_self');
            });
        });
    </script>
{% endblock %}